﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Diagnostics;
using System.Drawing.Drawing2D;


/// <summary> 
/// 迷你音乐播放器
/// <author> 
///     <name>漓江烟雨</name>
///     <QQ>648445213</QQ>
///     <date>2011.12.3</date> 
/// </author> 
/// </summary> 


namespace MiniMusicPlayer
{
    public partial class HelpForm : Form
    {
        int FormPositioX;
        int FormPositioY;
        public HelpForm()
        {
            InitializeComponent();
        }

        private void btnClose_Click(object sender, EventArgs e)
        {
            this.DialogResult = DialogResult.OK;
        }

        private void HelpForm_MouseDown(object sender, MouseEventArgs e)
        {
            if (e.Button == MouseButtons.Left)
            {
                FormPositioX = e.X;
                FormPositioY = e.Y;
            }
        }

        private void HelpForm_MouseMove(object sender, MouseEventArgs e)
        {
            if (e.Button == MouseButtons.Left)
            {
                this.Left += e.X - FormPositioX;
                this.Top += e.Y - FormPositioY;
            }
        }

        private void btnClose_MouseEnter(object sender, EventArgs e)
        {
            this.btnClose.ForeColor = Color.Black;
        }

        private void btnClose_MouseLeave(object sender, EventArgs e)
        {
            this.btnClose.ForeColor = Color.Silver;
        }

        private void linkLabel1_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            Process.Start("Mailto:hw_cool@yeah.net");
        }

        protected override void OnPaint(PaintEventArgs e)
        {
            GraphicsPath oPath = new GraphicsPath();
            int x = 0;
            int y = 0;
            int w = this.Width;
            int h = this.Height;
            int a = 8;
            Graphics g = this.CreateGraphics();
            oPath.AddArc(x, y, a, a, 180, 90);
            oPath.AddArc(w - a, y, a, a, 270, 90);
            oPath.AddArc(w - a, h - a, a, a, 0, 90);
            oPath.AddArc(x, h - a, a, a, 90, 90);
            oPath.CloseAllFigures();
            Region = new Region(oPath);
        }
    }
}
