﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Drawing;
using System.Drawing.Drawing2D;

namespace MiniMusicPlayer
{
    /// <summary>
    /// 改变矩形的边角，圆化边角
    /// </summary>
    class borderStyle
    {
        public GraphicsPath graPath = new GraphicsPath();
        public borderStyle(int width11, int height11, int circ)
        {
            Rectangle rect = new Rectangle(0, circ, width11, height11 - circ);
            graPath = GetGraphicsPath(rect, 8);
        }

        private GraphicsPath GetGraphicsPath(Rectangle ret, int cc)
        {
            Rectangle rr = new Rectangle(ret.Location, new Size(cc, cc));
            GraphicsPath ff = new GraphicsPath();
            ff.AddArc(rr, 180, 90); //左上角

            rr.X = ret.Right - cc;
            ff.AddArc(rr, 270, 90); //右上角

            rr.Y = ret.Bottom - cc;
            ff.AddArc(rr, 0, 90); //右下角

            rr.X = ret.Left;
            ff.AddArc(rr, 90, 90); //左下角
            ff.CloseFigure();
            return ff;
        }
    }
}
